Bug 853097 (CVE-2012-1682) - CVE-2012-1682 OpenJDK: beans ClassFinder insufficient permission checks (beans, 7162476)
Summary: CVE-2012-1682 OpenJDK: beans ClassFinder insufficient permission checks (bean...
Status: CLOSED ERRATA
Alias: CVE-2012-1682
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20120830,repor...
Keywords: Security
Depends On: 852299 852300 852301 852302 852303 852304 853114 853116 853345 853346 854890 854891 856471
Blocks: 852098
TreeView+ depends on / blocked
 
Reported: 2012-08-30 14:06 UTC by Tomas Hoger
Modified: 2015-11-25 09:59 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-19 10:04:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1221 normal SHIPPED_LIVE Critical: java-1.6.0-openjdk security update 2012-09-03 16:40:01 UTC
Red Hat Product Errata RHSA-2012:1222 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2012-09-03 16:50:15 UTC
Red Hat Product Errata RHSA-2012:1223 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2012-09-03 17:00:27 UTC
Red Hat Product Errata RHSA-2012:1225 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2012-09-04 11:04:31 UTC
Red Hat Product Errata RHSA-2012:1289 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2012-09-19 02:52:20 UTC
Red Hat Product Errata RHSA-2012:1466 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2012-11-16 02:16:50 UTC
Red Hat Product Errata RHSA-2013:1455 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2013-10-23 20:30:21 UTC
Red Hat Product Errata RHSA-2013:1456 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2013-10-23 20:29:56 UTC

Description Tomas Hoger 2012-08-30 14:06:08 UTC
A flaw was found in the java.beans ClassFinder implementation, which allowed Java code running in the Java sandbox to obtain a reference to a restricted class, possibly allowing it to bypass sandbox restrictions.

This flaw is one of the issues exploited by the Java 7 0day exploit published in August 2012, see bug 852051.

Reference:
http://seclists.org/fulldisclosure/2012/Aug/336 (Vuln 1 / Issue 11)

Comment 3 Tomas Hoger 2012-08-31 07:23:24 UTC
Upstream fix, as applied in IcedTea 7 2.3 repositories:

http://icedtea.classpath.org/hg/release/icedtea7-forest-2.3/jdk/rev/2d21460a0530

Comment 6 errata-xmlrpc 2012-09-03 12:41:11 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1221 https://rhn.redhat.com/errata/RHSA-2012-1221.html

Comment 7 errata-xmlrpc 2012-09-03 12:51:30 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1222 https://rhn.redhat.com/errata/RHSA-2012-1222.html

Comment 8 errata-xmlrpc 2012-09-03 13:01:50 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1223 https://rhn.redhat.com/errata/RHSA-2012-1223.html

Comment 10 errata-xmlrpc 2012-09-04 07:05:53 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:1225 https://rhn.redhat.com/errata/RHSA-2012-1225.html

Comment 11 errata-xmlrpc 2012-09-18 22:53:19 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:1289 https://rhn.redhat.com/errata/RHSA-2012-1289.html

Comment 12 errata-xmlrpc 2012-11-15 21:17:24 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2012:1466 https://rhn.redhat.com/errata/RHSA-2012-1466.html

Comment 13 errata-xmlrpc 2013-10-23 16:32:02 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.5

Via RHSA-2013:1456 https://rhn.redhat.com/errata/RHSA-2013-1456.html

Comment 14 errata-xmlrpc 2013-10-23 17:06:00 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html


Note You need to log in before you can comment on or make changes to this bug.